Skip to navigation

Update a team

View as Markdown

Updates a Postman team’s name in your organization.

Note:

You can only update the team’s name. The name must be unique in the organization. This endpoint is only available to organizations that have teams enabled.

This endpoint requires the application/merge-patch+json Content-Type header.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

teamIdintegerRequired
The team's ID.

Headers

identifierTypestringOptional
Use SCIM user and group IDs instead of Postman user IDs.

Request

This endpoint expects an object.
namestringRequired1-64 characters
The team's new name. Accepts only alphanumeric characters and spaces, and must be unique in the organization.

Response

Successful Response
teamobjectOptional
Information about the team.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error